﻿using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace MoqSetupAndMockExampleTest
{
  using Moq;

  using MoqSetupAndMockExample;

  [TestClass]
  public class MoqSetupAndMockExampleTest
  {
    [TestMethod]
    public void MoqSetupAndMockExampleTestMethod()
    {
      var mock = new Mock<ICalculator>();
      mock.Setup(m => m.Summation(It.IsAny<int>(), It.IsAny<int>())).Returns(10);
      Assert.AreEqual(mock.Object.Summation(1, 1), 10);
    }
  }
}